<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussinesspayorder.mapper.BussinessPayOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessPayOrderResultMap" type="org.springblade.modules.guosen.bussinesspayorder.entity.BussinessPayOrder">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="request_no" property="requestNo"/>
        <result column="third_order_no" property="thirdOrderNo"/>
        <result column="bussiness_order_id" property="bussinessOrderId"/>
        <result column="bussiness_id" property="bussinessId"/>
        <result column="order_amount" property="orderAmount"/>
        <result column="biz_type" property="bizType"/>
        <result column="biz_id" property="bizId"/>
        <result column="channel_fee" property="channelFee"/>
        <result column="transfer_order_id" property="transferOrderId"/>
        <result column="receiver_account_no" property="receiverAccountNo"/>
        <result column="receiver_account_name" property="receiverAccountName"/>
        <result column="receiver_bank_code" property="receiverBankCode"/>
        <result column="bank_account_type" property="bankAccountType"/>
        <result column="branch_bank_code" property="branchBankCode"/>
        <result column="third_log" property="thirdLog"/>
        <result column="fail_reason" property="failReason"/>
        <result column="method" property="method"/>
        <result column="freeze" property="freeze"/>
        <result column="current_remain" property="currentRemain"/>
        <result column="request_ip" property="requestIp"/>
        <result column="pay_status" property="payStatus"/>
        <result column="pay_flag" property="payFlag"/>
        <result column="biz_pay_notify_url" property="bizPayNotifyUrl"/>
        <result column="receive_amount" property="receiveAmount"/>
        <result column="debit_amount" property="debitAmount"/>
    </resultMap>


    <select id="selectBussinessPayOrderPage" resultMap="bussinessPayOrderResultMap">
        select * from cyzh_bussiness_pay_order where is_deleted = 0
    </select>

</mapper>
